Name:          libXext
Version:       1.3.5
Release:       1
Summary:       Common extensions to the X11 protocol
License:       MIT
URL:           https://xorg.freedesktop.org/
Source0:       https://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.gz

BuildRequires: libtool xorg-x11-proto-devel libX11-devel xmlto make
BuildRequires: libXau-devel xorg-x11-util-macros autoconf automake libtool pkgconfig 
Requires:      libX11 

%description
The X.Org project provides an open source implementation of the X Window System.
X.Org X11 libXext contains runtime library.

%package       devel
Summary:       development files and header files for %{name}
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -v --install --force
%configure 
%make_build

%check
make check

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files 
%defattr(-,root,root)	
%doc AUTHORS 
%license COPYING
%{_libdir}/libXext.so.*

%files  devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/*.h
%{_libdir}/libXext.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a

%files  help
%defattr(-,root,root)
%{_mandir}/man3/*
%exclude %{_docdir}/libXext

%changelog
* Fri Feb 03 2023 zhouwenpei <zhouwenpei1@h-partners.com> - 1.3.5-1
- update to 1.3.5

* Tue Dec 20 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.3.4-6
- add BuildRequires make

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.3.4-5
- Rebuild for next release

* Tue Feb 9 2021 jinzhimin <jinzhimin2@huawei.com> - 1.3.4-4
- rebuild libXext

* Tue Feb 9 2021 jinzhimin <jinzhimin2@huawei.com> - 1.3.4-3
- add check in spec

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.4-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Thu Sep 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.4-1
- Package init
